Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.snailshell.consensus.demo
Class ConsensusFoundationUtils

    java.lang.Object
      de.snailshell.consensus.demo.ConsensusFoundationUtils

public class ConsensusFoundationUtils
extends Object

Version:
  2006-06-14
Author:
  Thomas Much

Constructor Summary
`ConsensusFoundationUtils()`

Method Summary
`static void` | `addLastVisitedTopic(javax.servlet.http.HttpServletRequest request, Topic t)`
`static ConsensusFoundation` | `getConsensusFoundationManager(javax.servlet.ServletContext context)`
`static Association` | `getLastVisitedAssociation(javax.servlet.http.HttpServletRequest request)`
`static List` | `getLastVisitedTopics(javax.servlet.http.HttpServletRequest request)`
`static Set` | `getParentTypes(User user, Topic t)`
`static User` | `getUser(javax.servlet.http.HttpServletRequest request)`
`static void` | `setLastVisitedAssociation(javax.servlet.http.HttpServletRequest request, Association a)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsensusFoundationUtils

    public ConsensusFoundationUtils()

Method Detail

### getConsensusFoundationManager

    public static ConsensusFoundation getConsensusFoundationManager(javax.servlet.ServletContext context)

### getUser

    public static User getUser(javax.servlet.http.HttpServletRequest request)

### addLastVisitedTopic

    public static void addLastVisitedTopic(javax.servlet.http.HttpServletRequest request,
                                           Topic t)

### getLastVisitedTopics

    public static List getLastVisitedTopics(javax.servlet.http.HttpServletRequest request)

### setLastVisitedAssociation

    public static void setLastVisitedAssociation(javax.servlet.http.HttpServletRequest request,
                                                 Association a)

### getLastVisitedAssociation

    public static Association getLastVisitedAssociation(javax.servlet.http.HttpServletRequest request)

### getParentTypes

    public static Set getParentTypes(User user,
                                     Topic t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD